Subject: bug#72696: Track-changes errors out when file is overwritten using Node.js's fs.writeFile (at least on macOS)

From: Stefan Monnier <[email-masked]>
Date: Fri, 20 Sep 2024 14:46:43 -0400

>> You can go ahead and merge it.  I dont' know what it does
>> but i trust Stefan.
> Thanks.  Stefan, please install on the emacs-30 branch.

Thanks, done.

> I agree with your general feeling, and I think this case might belong
> to those pre-existing failures which track-changes uncovers.

FWIW, I think this bug was one that I introduced when changing Eglot to
use track-changes (basically, because track-changes does its own
"buffering" in addition to the one Eglot does in
`eglot--recent-changes`, and I forgot to flush that buffer when
`eglot--recent-changes` is flushed).

        Stefan